org.ajax4jsf.renderkit.html

## Class AjaxStatusRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.html.AjaxStatusRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.resource.ResourceProduser

      public class AjaxStatusRenderer
      extends org.ajax4jsf.renderkit.RendererBase

  Version:
    $Revision: 1.1.2.2 $ $Date: 2007/02/19 11:17:10 $ Render status component as two span's, one for start request, one for complete.
  Author:
    shura (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `RENDERER_TYPE`
    `static java.lang.String` | `START_STYLE`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxStatusRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodeSpan(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String id, java.lang.String state, java.lang.String tag)` Encode one span for start or stop status
    `protected java.lang.Class` | `getComponentClass()`
    `protected java.lang.String` | `getNamedAttribute(javax.faces.component.UIComponent component, java.lang.String name, java.lang.String state)`
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

    - #### START_STYLE

          public static final java.lang.String START_STYLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AjaxStatusRenderer

          public AjaxStatusRenderer()

  - ### Method Detail

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                           throws java.io.IOException

      Overrides:
        `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### encodeSpan

          protected void encodeSpan(javax.faces.context.ResponseWriter writer,
                        javax.faces.context.FacesContext context,
                        javax.faces.component.UIComponent component,
                        java.lang.String id,
                        java.lang.String state,
                        java.lang.String tag)
                             throws java.io.IOException

      Encode one span for start or stop status
      Parameters:
        `context` - - current context
        `component` - - status component
        `state` - - name of state ( start or stop ) for span.
        `tag` - TODO
      Throws:
        `java.io.IOException`

    - #### getNamedAttribute

          protected java.lang.String getNamedAttribute(javax.faces.component.UIComponent component,
                                           java.lang.String name,
                                           java.lang.String state)

      Parameters:
        `component` -
        `name` - name of attribute for current state
        `state` - 'start' or 'stop' . all dublicated attributes foe Ajax state have same syntax : startStyle/stopStyle ...
      Returns:
        value of attribute for name and state

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

Copyright © 2014. All Rights Reserved.